Subject: Re: bug#57102: 29.0.50; Peculiar file-name-split edge case

From: Stefan Kangas <[email-masked]>
Date: Sun, 25 Sep 2022 05:06:03 -0700

Mattias Engdegård <[email-masked]> writes:

> The current behaviour of file-name-split is based on a purely textual
> splitting on "/" which isn't as useful as basing it on actual file
> name components. For instance, the root component of a Posix file name
> is "/", not "". Looking at other languages and libraries is very much
> encouraged; they vary a lot in the amount of thought that has gone
> into their design.

I also note that we have `string-split' and `string-join', but
`file-name-split' and `file-name-concat'.  I think `file-name-join'
would be a better name.

We should leave behind an alias if we rename it of course, perhaps
forever.